/*  
    BluePhone is a Bluetooth mobile phone manager
    Copyright (C) 2004 Ed Rayne <er241@cam.ac.uk>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gnome.h>
#include <glib-object.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"

#include "gui.h"
#include "sms.h"
#include "bluetooth.h"

void
on_recievedsms_delete_clicked          (GtkButton       *button,
                                        gpointer         user_data)
{
	GtkWidget *window;
	sms_t *sms;
	gchar *command;

	window = lookup_widget (GTK_WIDGET (button), "recievedsms_dialog");

	sms = g_object_get_data (G_OBJECT (window), "smsdata");
	
	gtk_widget_hide (window);

	command = g_strdup_printf ("AT+CMGD=%s\r", sms->messageid);
	rfcomm_command (command);
}


void
on_recievedsms_reply_clicked           (GtkButton       *button,
                                        gpointer         user_data)
{
	GtkWidget *window;
	sms_t *sms;
	
	window = lookup_widget (GTK_WIDGET (button), "recievedsms_dialog");

	sms = g_object_get_data (G_OBJECT (window), "smsdata");
	
	gtk_widget_hide (window);

	show_sendsms_dialog (sms->sender);

	g_free (sms);
}


void
on_recievedsms_close_clicked           (GtkButton       *button,
                                        gpointer         user_data)
{
	GtkWidget *window;

	window = lookup_widget (GTK_WIDGET (button), "recievedsms_dialog");

	gtk_widget_hide (window);
}


void
on_docklet_sendsms_activate            (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
	show_sendsms_dialog (NULL);
}


void
on_docklet_properties_activate         (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_docklet_preferences_activate        (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_docklet_about_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
	GtkWidget *about;
	about = create_about_dialog ();
	gtk_widget_show (about);
}


void
on_docklet_quit_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
	gtk_main_quit ();
}


void
on_sendsms_cancel_clicked              (GtkButton       *button,
                                        gpointer         user_data)
{
	GtkWidget *window;

	window = lookup_widget (GTK_WIDGET (button), "sendsms_dialog");

	gtk_widget_hide (window);
}


void
on_sendsms_send_clicked                (GtkButton       *button,
                                        gpointer         user_data)
{
	GtkWidget *window;
	GtkWidget *recipient;
	GtkWidget *message;
	GtkTextBuffer *buffer;
	gchar *number, *body;
	GtkTextIter start, finish;
	
	window = lookup_widget (GTK_WIDGET (button), "sendsms_dialog");
	recipient = lookup_widget (GTK_WIDGET (window), "sendsms_recipient");
	message = lookup_widget (GTK_WIDGET (window), "sendsms_message");

	number = gtk_entry_get_text (GTK_ENTRY (recipient));
	buffer = gtk_text_view_get_buffer (GTK_TEXT_VIEW (message));
	gtk_text_buffer_get_bounds (buffer, &start, &finish);
	body = gtk_text_iter_get_text (&start, &finish);
	
	gtk_widget_hide (window);

	send_sms_message (body, number);
	
	g_free (number);
	g_free (body);
}

