/*  
    BluePhone is a Bluetooth mobile phone manager
    Copyright (C) 2004 Ed Rayne <er241@cam.ac.uk>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <glib.h>
#include <gtk/gtk.h>
#include <glib-object.h>

#include "gui.h"
#include "interface.h"
#include "support.h"
#include "global.h"
#include "sms.h"

void
show_recievedsms_dialog (sms_t *sms)
{
	GtkWidget *window;
	GtkWidget *recievedsms_sender;
	GtkWidget *recievedsms_date;
	GtkWidget *recievedsms_message;
	GtkTextBuffer *buffer;
	
	window = create_recievedsms_dialog ();

	/* fill in the sender's number */
	recievedsms_sender = GTK_WIDGET (lookup_widget (window, "recievedsms_sender"));
	gtk_label_set_label (GTK_LABEL (recievedsms_sender), sms->sender);

	/* fill in date and time */
	recievedsms_date = GTK_WIDGET (lookup_widget (window, "recievedsms_date"));
	gtk_label_set_label (GTK_LABEL (recievedsms_date), sms->timestamp);

	/* fill in the message */
	recievedsms_message = GTK_WIDGET (lookup_widget (window, "recievedsms_message"));
	buffer = gtk_text_view_get_buffer (GTK_TEXT_VIEW (recievedsms_message));
	gtk_text_buffer_set_text (buffer, sms->message, -1);

	g_object_set_data (G_OBJECT (window), "smsdata", sms);
	
	gtk_widget_show (window);
}

void
show_sendsms_dialog (gchar *number)
{
	GtkWidget *window;
	GtkWidget *sendsms_recipient;

	window = create_sendsms_dialog ();

	/* has a recipient been specified? */
	if (number)
	{
		/* fill in the recipient's number */
		sendsms_recipient = GTK_WIDGET (lookup_widget (window, "sendsms_recipient"));
		gtk_entry_set_text (GTK_ENTRY (sendsms_recipient), number);
	}

	gtk_widget_show (window);
}
